fuss-manager - Segnalazione #749

Esecuzione playbook su macchine spente
02/19/2019 12:21 PM - Enrico Zini

Status: In elaborazione Start date: 05/31/2019
Priority: Normale Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.11 Gestione automatizzata di

macchine spente
Resolution:
Description

Run playbook e raccolta dati su macchine client, wrappato da accensione e spegnimento della macchina

Subtasks:
Segnalazione # 828: Comportamento dell'accensione (e successivo spegnimento) macchine p... Nuovo

Related issues:
Related to fuss-manager - Segnalazione #848: Visualizzare lo stato di accensi... Nuovo 06/19/2019

Associated revisions

Revision 03d8f8fb - 06/20/2019 10:26 AM - Elena Grandi

Role to turn on machines before running the playbook. refs: #749

Revision 476190 - 06/28/2019 01:42 PM - Enrico Zini
Merged to master. Refs: #749

History

#1 - 05/31/2019 03:03 PM - Elena Grandi

Puo essere utile usare https:/docs.ansible.com/ansible/latest/modules/wait_for_connection_module.html

#2 - 05/31/2019 03:16 PM - Elena Grandi

Potrebbe essere un ruolo che verifichi lo stato di accensione o meno, accenda, aspetti, esegua il resto e nel caso in cui la macchina fosse spenta la
rispenga con un handler (del quale verificare come fare a far avvenire lo spegnimento come ultimo handler).

#3 - 06/20/2019 10:26 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#4 - 06/27/2019 12:07 PM - Elena Grandi

- Related to Segnalazione #848: Visualizzare lo stato di accensione o meno di una macchina added

#5 - 07/05/2019 10:36 AM - Elena Grandi

- Target version changed from 0.6 Gestione di macchine spente to 0.11 Gestione automatizzata di macchine spente

Ho visto che wrappare semplicemente i playbook in modo da sapere se la macchina era spenta & complicato: non sono riuscita a permettere il
fallimento dell'operazione di raccolta fatti in modo che il playbook continuasse (con un wake_on_lan delegato al controller), in modo da avere una
variabile con cui verificare I'opportunita o meno di spegnere la macchina.

Pertanto, si dovra probabilmente pensare ad una soluzione in cui sia fuss-manager a sapere se la macchina € accesa o spenta (cfr #848) e nel caso
sia spenta provvedere ai comandi di accensione e spegnimento. Sposto il ticket ad una release futura per I'implementazione.

Intanto & stato aggiunto un ruolo che pud essere usato per scrivere playbook che accendono le macchine prima dell'esecuzione (senza perd
spegnerle)
